aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/testenv.sh
diff options
context:
space:
mode:
authorGravatar Damien Martin-Guillerez <dmarting@google.com>2016-04-22 11:42:34 +0000
committerGravatar Damien Martin-Guillerez <dmarting@google.com>2016-04-22 11:53:26 +0000
commit9e4c78fb5752fa554db82815f7336255831a95ab (patch)
treefdf498cf18c1e875fc4be3d00afb5f99583ee1a9 /scripts/testenv.sh
parent8ed31f05e664e925ad628ab47feeaaab30c26283 (diff)
*** Reason for rollback *** Broke non-Bazel projects on ci.bazel.io Fixes #1168 *** Original change description *** Move the runfiles for external repositories to under the x.runfiles/ directory This also sets the Bazel workspace name to io_bazel_source. Fixes #848. Relevant to #1116, #1124, RELNOTES[INC]: All repositories are now directly under the x.runfiles directory in the runfiles tree (previously, external repositories were at x.runfiles/main-repo/external/other-repo. This simplifies handling remote repository runfiles considerably, but will break existing references to external repository runfiles.... *** -- MOS_MIGRATED_REVID=120535721
Diffstat (limited to 'scripts/testenv.sh')
-rwxr-xr-xscripts/testenv.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/testenv.sh b/scripts/testenv.sh
index 25fa4ebfd7..c45ee6a5e5 100755
--- a/scripts/testenv.sh
+++ b/scripts/testenv.sh
@@ -19,8 +19,8 @@
[ -z "$TEST_SRCDIR" ] && { echo "TEST_SRCDIR not set!" >&2; exit 1; }
# Load the unit-testing framework
-source "${TEST_SRCDIR}/io_bazel/src/test/shell/unittest.bash" \
- || { echo "Failed to source unittest.bash" >&2; exit 1; }
+source "${TEST_SRCDIR}/src/test/shell/unittest.bash" || \
+ { echo "Failed to source unittest.bash" >&2; exit 1; }
set_up() {
mkdir -p $TEST_TMPDIR/workspace